Bug 979164 - Can't 'make install' as non-root
Can't 'make install' as non-root
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
3.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 15:21 EDT by Hiram Chirino
Modified: 2013-12-18 19:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 01:49:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hiram Chirino 2013-06-27 15:21:31 EDT
Description of problem:

Can't 'make install' as non-root

Version-Release number of selected component (if applicable):

release-3.4 branch

Steps to Reproduce:

   ./configure --prefix /home/chirino/opt/glusterfs
   make install

Actual results:

   /usr/bin/install: cannot remove `/sbin/mount.glusterfs': Permission denied
m

Expected results:

   all gluster bits should get installed under /home/chirino/opt/glusterfs
Comment 1 Amar Tumballi 2013-11-12 01:49:15 EST
For any filesystem mount to work, the mount.$fstype should be placed in '/sbin/' only. And hence this is failing.

If one wants to make install glusterfs as non-root, then please try

---
user$ ./configure --with-mountutildir=/some/directory/where/you/have/permission
user$ make install 
---

moving the bug status to 'CLOSED' WORKSFORME with above information.

Note You need to log in before you can comment on or make changes to this bug.